<?php


/**
 * Třída pro menu aplikace
 */
class Menu {
    
    /**
     * Pole pro uložení páru klíč => hodnota
     * Budeme ukládat vždy název souboru => název stránky (titulek)
     * @var array 
     */
    private $items = [];
    
    /**
     * Zde si uložíme aktivní položku resp. název dat. souboru, který je akt. zobrazen
     * @var string 
     */
    private $active_item;
    
    
    /**
     * Metoda pro přidání položky menu
     * @param string $dataFileName
     * @param string $title
     */
    public function addItem($dataFileName, $title) 
    {
        $this->items[$dataFileName] = $title;
    }
    
    
    /**
     * Metoda pro nastavení aktivní položky menu
     * @param string $dataFileName
     */
    public function setActiveItem($dataFileName) 
    {
        $this->active_item = $dataFileName;
    }
    
    
    /**
     * Metoda vrátí všechny položky menu
     * @return array
     */
    public function getItems() 
    {
     
        return $this->items;
    }
    
    
    /**
     * Metoda vrátí aktivní položku menu
     * @return string
     */
    public function getActiveItem() 
    {
        return $this->active_item;
    }
    
    
    /**
     * Metoda vrátí titulek aktivní stránky
     * @return string
     */
    public function getActivePageTitle() 
    {
        return $this->items[$this->getActiveItem()];
    }
    
    
    /**
     * Vytvoří odkaz v menu
     * @param string $pageParamName
     * @param string $dataFileName
     * @return string
     */
    public function createLink($pageParamName, $dataFileName) 
    {
        // Default pro úvodní stránku
        if ($dataFileName === Config::DEFAULT_DATAFILE) {
            return "./";
        }
        return "index.php?".$pageParamName."=".$dataFileName;
    }
    
}
